Subject: Re: bug#36644: Git log search

From: Juri Linkov <[email-masked]>
Date: Fri, 19 Jul 2019 01:32:12 +0300

> We can't really use this approach. VC is a high level abstraction,
> so we try to define the semantics well.

I tend to agree with Robert.  A string have to be passed to the backend as is.
It seems such situations when these strings should be compatible between
different backends (such as running the same command on one backend,
and then repeating the same search on another backend by retrieving
a previous argument from the history via M-p) are very rare.